package examenes.examen20250221.ejercicio04;


import examenes.examen20250221.ejercicio04.listener.CheckeadorNums;
import examenes.examen20250221.ejercicio04.listener.NumRepetidoEvent;
import examenes.examen20250221.ejercicio04.listener.NumsListener;

public class Matematico implements NumsListener {
    public Matematico() {
        CheckeadorNums.addNumRepetidoListener(this);
    }

    @Override
    public void numeroRepetido(NumRepetidoEvent event) {
        System.out.println("Soy un Matematico y me he dado cuenta de que has repetido el número " + event.getNumero());
    }
}
